# pytago

Transpiles some Python into human-readable Golang.

## Installation

### Prerequisites

- [Go 1.16.x](https://golang.org/dl/)
- [Python 3.10.x](https://www.python.org/downloads/release/python-3100b3/)
  - No, it will not work on 3.9. Search the code for "match."
- `go get golang.org/x/tools/cmd/goimports`
- `go get mvdan.cc/gofumpt`

### Installing via setup.py

```
git clone https://github.com/nottheswimmer/pytago/
cd pytago
pip install .
```

## Usage

```
{% usage %}
```

## Feature Support

See docs/features.csv

- No X means no meaningful support as of yet. 
- Decent+ means there's at least extensive support, and I may not have thought of a way it could break yet. 
- Limited means there's at least some facet of programming in place that deals with this (either explicitly or implicitly),
 although there may be serious limitations. Check the notes for more.

## Examples

All examples presented here are used as tests for the program.

{% examples %}

## TODOs

Some things I'd like to add soon...

- "value in range(start, stop, step)" => a conditional statement
- Exhaustive implementation of list/dict/int/float/bytes methods
- 